opensaml-2.5.5

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

opensaml::MessageEncoder::ArtifactGenerator Member List

This is the complete list of members for opensaml::MessageEncoder::ArtifactGenerator, including all inherited members.

ArtifactGenerator() (defined in opensaml::MessageEncoder::ArtifactGenerator) | opensaml::MessageEncoder::ArtifactGenerator | protected
generateSAML1Artifact(const saml2md::EntityDescriptor *relyingParty) const =0 | opensaml::MessageEncoder::ArtifactGenerator | pure virtual
generateSAML2Artifact(const saml2md::EntityDescriptor *relyingParty) const =0 | opensaml::MessageEncoder::ArtifactGenerator | pure virtual
~ArtifactGenerator() (defined in opensaml::MessageEncoder::ArtifactGenerator) | opensaml::MessageEncoder::ArtifactGenerator | virtual